Summary: a Python Solitaire Game
Name: pysol
Version: 2.14
Release: 1
Group: Games
Copyright: GPL
Url: http://wildsau.idv.uni-linz.ac.at/mfx/pysol.html
Vendor: Markus F.X.J. Oberhumer
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://wildsau.idv.uni-linz.ac.at/mfx/download/%{name}-%{version}.tar.gz
Requires: tcl >= 8.0.3, tk >= 8.0.3, python >= 1.5.1
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root

%description
PySol is a solitaire card game. Its features include support for 20
different games, very nice look and feel, multiple cardsets and
backgrounds, unlimited undo & redo, load & save games, player
statistics, hint system, demo games, support for user written plug-ins,
integrated HTML help browser, and it's free Open Source software. 


%prep
%setup -q


%install
rm -rf $RPM_BUILD_ROOT
# "make install" includes install-bin install-data install-man install-icon.
# "make install-icon" doesn't honor "prefix=" so it is out.
make prefix=$RPM_BUILD_ROOT/usr install-bin install-data install-man

# Get rid of version number in path. This is for co-existence of different 
# versions of pysol and pysol-cardsets.
mv $RPM_BUILD_ROOT/usr/share/pysol/%{version}/* $RPM_BUILD_ROOT/usr/share/pysol
rmdir $RPM_BUILD_ROOT/usr/share/pysol/%{version}


%files
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README
/usr/games/pysol
/usr/man/man6/pysol.6.gz
/usr/share/pysol


%clean
rm -rf $RPM_BUILD_ROOT
